IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
hidden_area_t Struct Reference

## Detailed Description

Hidden areas - address ranges which can be replaced by their descriptions.

There is also a possibility to hide individual items completely (nalt.hpp, hide_item)

Note
  After modifying any of this struct's fields please call update_hidden_area()

Inherits area_t.

## Public Attributes
char * | description
| description to display if the area is collapsed
char * | header
| header lines to display if the area is expanded
char * | footer
| footer lines to display if the area is expanded
bool | visible
| the area state
bgcolor_t | color
| area color
Public Attributes inherited from area_t
ea_t | startEA
| startEA included
ea_t | endEA
| endEA excluded

## Additional Inherited Members
Public Member Functions inherited from area_t
| area_t (void)
| Constructor.
| area_t (ea_t ea1, ea_t ea2)
| Constructor.
int | compare (const area_t &r) const
| Compare two area_t instances, based on the startEA.
bool | operator== (const area_t &r) const
| Compare two area_t's with '=='.
bool | operator!= (const area_t &r) const
| Compare two area_t's with '!='.
bool | operator> (const area_t &r) const
| Compare two area_t's with '<'.
bool | operator< (const area_t &r) const
| Compare two area_t's with '>'.
bool | contains (ea_t ea) const
| Is 'ea' in the address range?
bool | contains (const area_t &r) const
| Is every ea in 'r' also in this area_t?
bool | overlaps (const area_t &r) const
| Is there an ea in 'r' that is also in this area_t?
void | clear (void)
| Set startEA, endEA to 0.
bool | empty (void) const
| Is the size of the area_t <= 0?
asize_t | size (void) const
| Get endEA - startEA.
void | intersect (const area_t &r)
| Assign the area_t to the intersection between the area_t and 'r'.
void | extend (ea_t ea)
| Ensure that the area_t includes 'ea'.
size_t | print (char *buf, size_t bufsize) const
| Print the area_t. More...

The documentation for this struct was generated from the following file:

- bytes.hpp